Printago API
POST /v1/api-keys

Create an API key

Generate a new API key. The full key is only returned once on creation.

Requires: apiKey.create

Request Body

API key configuration

CreateApiKeyRequest
expiresAtoptional
string
format: date-time
fullAccessoptional
boolean
ipAllowlistoptional
string[]
namerequired
string
permissionsoptional
any[]
roleIdsoptional
string[]

Example Request

application/json
{
  "name": "string",
  "fullAccess": true,
  "permissions": [],
  "roleIds": [
    "string"
  ],
  "ipAllowlist": [
    "string"
  ],
  "expiresAt": "2026-08-24T03:58:55.232Z"
}

Response Schema

OneTimeApiKeyInfo
idrequired
string
keyrequired
string
namerequired
string
storeIdrequired
string

Example Response

201 OK — application/json
{
  "id": "string",
  "storeId": "string",
  "name": "string",
  "key": "string"
}